/**
 *----------------------------------------------------------------------------------------------------------------------
 *  项目名称：广州天长通信技术有限公司
 *----------------------------------------------------------------------------------------------------------------------
 *  项目团队：墨语仙阁
 *----------------------------------------------------------------------------------------------------------------------
 *  创建作者：墨语九宸
 *----------------------------------------------------------------------------------------------------------------------
 *  功能描述：响应式css
 *----------------------------------------------------------------------------------------------------------------------
 *  编写日期：2020/07/06 11:57:19
 *----------------------------------------------------------------------------------------------------------------------
 *  联系方式：QQ:876809986  WX:hucheng95   GW:www.foxkk.com
 *----------------------------------------------------------------------------------------------------------------------
 *  版权所有：Copyright@foxkk 2020. all rights reserved.
 *----------------------------------------------------------------------------------------------------------------------
**/
@media (min-aspect-ratio: 16/9) {
    .full {
        width: 100%;
        height: auto;
    }
}

@media (max-aspect-ratio: 16/9) {
    .full {
        width: auto;
        height: 100%;
    }
}

@media (max-width: 900px){
    .pdetail .col-md-7{
        padding-left:5px !important;
    }
    .pdetail .title {
        margin-top: 0px !important;
        border-bottom: 1px dashed #0E56A0;
        padding-bottom: 20px;
    }
    .pdetail .price {
        height: 80px !important;
        line-height: 80px !important;
        background: #0E56A0;
        color: #fff;
        font-size: 32px;
        padding: 0px 20px;
        overflow: hidden;
    }
    .pdetail .summary {
        margin: 15px 0px !important;
        padding: 20px;
        border: 1px solid #ddd;
        overflow: hidden;
    }
}

@media (max-width: 576px) {
    .test {
        color: orange !important;
    }
    .xbanner{
        height:240px;
    }
    .xhome-xabsolute{
        position: relative !important;
    }
    .carousel-inner strong{
        font-size: 32px;
        color:#fff;
        font-weight:600 !important;
    }
    .carousel-inner .xabsolute-center p{
        font-size: 18px;
    }
    .banner {
        position: relative;
        top: -2px;
        width: 100%;
        max-height: 320px;
        min-height: 310px;
        overflow: hidden;
    }
    .header-title {
        top: -5px;
        padding: 20px;
        height: 180px;
        background: #0e56a0;
    }
    .header-title h1{
        font-size: 24px;
        font-width: bold;
    }
    .header-panel{
        margin-bottom:-5px;
    }
    .article_list .justified{
        padding:0px 10px !important;
    }
    .article_list .justified > p{
        max-height:22px !important;
    }
    h1.xtitle {
        font-size: 18px;
        color: #333;
    }
    .article_list .justified > p:first-child{
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        _background: transparent;
    }
    .article_list .justified > p:last-child{
        display: none;
    }
    .article_list img{
        max-height:96px !important;
    }
    .solution .xlist a > div.thumb-img{
        width:100%;
        height:auto;
    }
    .solution .xlist a > div.thumb-img img{
        width:100%;
        height:auto;
    }
    .xarticle_list .justified div h1.xtitle{
        font-weight: 600;
        font-size:16px !important;
    }
    .xarticle_list .justified div p.desc{
        height:28px;
        overflow: hidden;
    }
    .xarticle_list .justified div{
        display:table-cell;
        vertical-align: middle;
        height:96px;
    }
    .xarticle_list .ximg-center{
        position: relative;
        width:96px;
        height:96px;
    }

    .col-xx-1, .col-xx-2, .col-xx-3, .col-xx-4, .col-xx-5, .col-xx-6, .col-xx-7, .col-xx-8, .col-xx-9, .col-xx-10, .col-xx-11, .col-xx-12 {
        position: relative;
        min-height: 1px;
        float: left;
    }
    .col-xx-12 {
        width: 100%;
    }
    .col-xx-11 {
        width: 91.66666667%;
    }
    .col-xx-10 {
        width: 83.33333333%;
    }
    .col-xx-9 {
        width: 75%;
    }
    .col-xx-8 {
        width: 66.66666667%;
    }
    .col-xx-7 {
        width: 58.33333333%;
    }
    .col-xx-6 {
        width: 50%;
    }
    .col-xx-5 {
        width: 41.66666667%;
    }
    .col-xx-4 {
        width: 33.33333333%;
    }
    .col-xx-3 {
        width: 25%;
    }
    .col-xx-2 {
        width: 16.66666667%;
    }
    .col-xx-1 {
        width: 8.33333333%;
    }
}

@media (min-width: 576px) {
    /*xs*/
    .test {
        color: dodgerblue !important;
    }
}

@media (min-width: 768px) {
    /*sm*/
    .test {
        color: orangered !important;
    }
    .goods > div:first-child{
        width:35%;
    }
    .goods > div:last-child{
        width:65%;
        padding:0px 10px;
        position: relative;
    }
    .goods .goods_desc{
        max-height:44px;
        overflow: hidden;
    }

}

@media (min-width: 992px) {
    /*md*/
    .test {
        color: deeppink !important;
    }
    .carousel-caption a, .carousel-caption a > strong {
        /* color: #fff !important; */
        font-size: 64px !important;
    }
    .carousel-caption p {
        max-height: 44px;
        font-size: 32px;
        overflow: hidden;
    }
    .goods > div:first-child{
        width:30%;
    }
    .goods > div:last-child{
        width:70%;
        padding:0px 10px;
        position: relative;
    }
    .goods .goods_desc{
        max-height:44px;
        overflow: hidden;
    }
}

@media (min-width: 1200px) {
    /*lg*/
    .test {
        color: greenyellow !important;
    }
}

@media (min-width: 1440px) {
    /*xg*/
    .test {
        color: #B657FF !important;
    }
    .container{
        width:1366px;
    }
}